Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2243201 - perl-CGI-Application-Plugin-Session-1.05-27.fc40 FTBFS with CGI-4.59: Failed test 'Expiry should not change' at t/06_expiry.t line 69
Summary: perl-CGI-Application-Plugin-Session-1.05-27.fc40 FTBFS with CGI-4.59: Failed ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-CGI-Application-Plugin-Session
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-10-11 08:55 UTC by Petr Pisar
Modified: 2023-11-18 01:37 UTC (History)
3 users (show)

Fixed In Version: perl-CGI-Application-Plugin-Session-1.05-28.fc40 perl-CGI-Application-Plugin-Session-1.05-28.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-18 01:37:56 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
CPAN 149959 0 None None None 2023-10-11 08:57:57 UTC

Description Petr Pisar 2023-10-11 08:55:08 UTC
perl-CGI-Application-Plugin-Session-1.05-27.fc40 fails to build in Fedora 40 because a test fails:

#   Failed test 'Expiry should not change'
#   at t/06_expiry.t line 69.
#          got: undef
#     expected: '-1'
# Looks like you failed 1 test of 16.
t/06_expiry.t ............. 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/16 subtests 

A difference between passing and failting build root is at <https://koschei.fedoraproject.org/build/16455735>. This failure is triggered by upgrading perl-CGI from 0:4.57-2.fc39 to 0:4.59-1.fc40.

Comment 1 Fedora Update System 2023-10-23 14:55:04 UTC
FEDORA-2023-b289e51e94 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-b289e51e94

Comment 2 Fedora Update System 2023-10-23 14:58:11 UTC
FEDORA-2023-b289e51e94 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2023-11-09 07:06:14 UTC
FEDORA-2023-6e09bddbd5 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6e09bddbd5

Comment 4 Fedora Update System 2023-11-10 02:18:20 UTC
FEDORA-2023-6e09bddbd5 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-6e09bddbd5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6e09bddbd5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-11-18 01:37:56 UTC
FEDORA-2023-6e09bddbd5 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.